| Fast CDR Version 2.3.5 Fast CDR

Loading...
Searching...
No Matches
BadParamException Class Reference
FastCDR Serializer API Reference » Exceptions

This class is thrown as an exception when an invalid parameter is being serialized. More...

`#include <BadParamException.h>`

Inheritance diagram for BadParamException:
[legend]

## Public Member Functions

| BadParamException (const char *const &message) noexcept
| Default constructor.
| BadParamException (const BadParamException &ex) noexcept
| Default copy constructor.
| BadParamException (BadParamException &&ex) noexcept
| Default move constructor.
BadParamException & | operator= (const BadParamException &ex) noexcept
| Assigment operation.
BadParamException & | operator= (BadParamException &&ex) noexcept
| Assigment operation.
virtual | ~BadParamException () noexcept
| Default destructor.
void | raise () const override
| This function throws the object as exception.
Public Member Functions inherited from Exception
virtual | ~Exception () noexcept
| Default destructor.
virtual const char * | what () const noexcept
| This function returns the error message.

## Static Public Attributes

static const char *const | BAD_PARAM_MESSAGE_DEFAULT
| Default message used in the library.

## Additional Inherited Members

Protected Member Functions inherited from Exception
| Exception (const char *const &message) noexcept
| Default constructor.
| Exception (const Exception &ex) noexcept
| Default copy constructor.
| Exception (Exception &&ex) noexcept
| Default move constructor.
Exception & | operator= (const Exception &ex) noexcept
| Assigment operation.
Exception & | operator= (Exception &&ex) noexcept
| Assigment operation.

## Detailed Description

This class is thrown as an exception when an invalid parameter is being serialized.

## Constructor & Destructor Documentation

## ◆ BadParamException() [1/3]

BadParamException | ( | const char *const & | message | ) |

noexcept

Default constructor.

Parameters

  message | An error message. This message pointer is copied.

## ◆ BadParamException() [2/3]

BadParamException | ( | const BadParamException & | ex | ) |

noexcept

Default copy constructor.

Parameters

  ex | BadParamException that will be copied.

## ◆ BadParamException() [3/3]

BadParamException | ( | BadParamException && | ex | ) |

noexcept

Default move constructor.

Parameters

  ex | BadParamException that will be moved.

## ◆ ~BadParamException()

virtual ~BadParamException | ( |  | ) |

virtual noexcept

Default destructor.

## Member Function Documentation

## ◆ operator=() [1/2]

BadParamException & operator= | ( | BadParamException && | ex | ) |

noexcept

Assigment operation.

Parameters

  ex | BadParamException that will be moved.

## ◆ operator=() [2/2]

BadParamException & operator= | ( | const BadParamException & | ex | ) |

noexcept

Assigment operation.

Parameters

  ex | BadParamException that will be copied.

## ◆ raise()

void raise | ( |  | ) | const

override virtual

This function throws the object as exception.

Implements Exception.

## Member Data Documentation

## ◆ BAD_PARAM_MESSAGE_DEFAULT

const char* const BAD_PARAM_MESSAGE_DEFAULT

static

Default message used in the library.

The documentation for this class was generated from the following file:

- include/fastcdr/exceptions/BadParamException.h